Skip to main content
POST
/
domains
Add a domain
curl --request POST \
  --url https://api.pulsewave.dev/v1/domains \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "notifications.acme.com"
}
'
{
  "id": "dom_2x9k1p",
  "object": "domain",
  "name": "notifications.acme.com",
  "dns_records": [
    {
      "host": "pw._domainkey.notifications.acme.com",
      "value": "v=DKIM1; k=rsa; p=MIGfMA0..."
    }
  ],
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.

Body

application/json
name
string
required
Example:

"notifications.acme.com"

Response

The created domain, including DNS records to publish

id
string
Example:

"dom_2x9k1p"

object
enum<string>
Available options:
domain
name
string
Example:

"notifications.acme.com"

status
enum<string>
Available options:
pending,
verified,
failed
dns_records
object[]
created_at
string<date-time>